package com.smppw.analysis.domain.dataobject;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
    * 基金经理产品周度拟合净值信息
    */
@Data
public class FundManagerFittedCurveWeeklyDo {
    /**
    * ID自增
    */
    private Integer id;

    /**
    * 基金经理id
    */
    private String fundManagerId;

    /**
    * 拟合类型 1-私募综合曲线 2-私募分策略曲线 3-私募权益类曲线 4-公募综合曲线 5-公募分策略曲线 6-公募权益类曲线
    */
    private Integer curveType;

    /**
    * 策略id
    */
    private Integer strategy;

    /**
    * 拟合后净值年周
    */
    private String yearWeek;

    /**
    * 拟合后净值所在年
    */
    private String endYear;

    /**
    * 拟合后净值全年所在周
    */
    private Byte weekOfYear;

    /**
    * 净值日期
    */
    private Date priceDate;

    /**
    * 拟合净值
    */
    private BigDecimal cumulativeNav;

    /**
    * 入选基金数量
    */
    private Integer fundNum;

    /**
    * 创建者Id,默认第一次创建者名称，创建后不变更
    */
    private Integer creatorid;

    /**
    * 创建时间,默认第一次创建的getdate()时间
    */
    private Date createtime;

    /**
    * 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
    */
    private Integer updaterid;

    /**
    * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
    */
    private Date updatetime;

    /**
    * 记录的有效性；1-有效；0-无效；
    */
    private Integer isvalid;
}