package com.smppw.analysis.domain.dto.info;

import com.smppw.common.pojo.ValueLabelVO;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Setter
@Getter
public class FundHeadInfoVO extends HeadInfoVO {
    /**
     * 基金管理人ID
     */
    private String trustId;
    /**
     * 基金管理人
     */
    private String trustName;
    /**
     * 基金经理 id:名称
     */
    private List<ValueLabelVO> managers;
    /**
     * 基金状态值
     * 1-募集中、2-开放运行、3-封闭运行（已废弃）、4-提前清算、5-到期清算、6-发行失败、7-投顾协议已终止、 8-延期清算 -1-其他 9-非正常清算 10-已终止 11-已作废
     */
    private String fundStatusValue;
    /**
     * 三级策略名称
     */
    private String thirdStrategyId;
    /**
     * 三级策略名称
     */
    private String thirdStrategy;
    /**
     * 基金规模 中基协数据
     */
    private String fundScale;
    /**
     * 公司规模
     */
    private Byte companyAssetSize;
    /**
     * 是否小于500万
     */
    private ValueLabelVO lowerThanFiveMillionLabel;
    /**
     * 基准id与名称
     */
    private String primaryBenchmarkId;

    private String primaryBenchmarkName;

    @Override
    public String getStrategySummaryName() {
        return super.getStrategySummaryName() + "" + this.getThirdStrategy();
    }
}
