package com.smppw.analysis.domain.manager.info;

import cn.hutool.core.map.MapUtil;
import com.smppw.constants.SecType;

import java.util.Map;

/**
 * @author wangzaijun
 * @date 2023/8/10 18:24
 * @description head-info接口业务处理类 bean常量
 */
public final class HeadInfoConstants {
    public static final String PRIVATELY_FUND = "privatelyFundHeadInfo";
    public static final String PUBLICLY_FUND = "publiclyFundHeadInfo";
    public static final Map<String, String> SEC_TYPE_HEAD_MAP = MapUtil.newHashMap(16);

    static {
        SEC_TYPE_HEAD_MAP.put(SecType.PRIVATELY_OFFERED_FUND, PRIVATELY_FUND);
        SEC_TYPE_HEAD_MAP.put(SecType.PUBLICLY_OFFERED_FUNDS, PUBLICLY_FUND);
    }

    private HeadInfoConstants() {
    }
}
