package com.smppw.analysis.domain.manager.info;

import cn.hutool.core.map.MapUtil;
import com.smppw.analysis.domain.dto.info.HeadInfoVO;
import org.springframework.stereotype.Component;

import java.util.Map;

@Component
public class HeadInfoFactory {
    private final static HeadInfo<HeadInfoVO> DEFAULT = p -> null;

    private static final Map<String, HeadInfo<?>> HEAD_INFO_MAP = MapUtil.newConcurrentHashMap(8);

    public HeadInfoFactory(Map<String, HeadInfo<?>> component) {
        HEAD_INFO_MAP.putAll(component);
    }

    @SuppressWarnings("unchecked")
    public <R extends HeadInfoVO> HeadInfo<R> getInstance(String key) {
        HeadInfo<?> instance = HEAD_INFO_MAP.getOrDefault(key, DEFAULT);
        try {
            return (HeadInfo<R>) instance;
        } catch (Exception e) {
            return (HeadInfo<R>) DEFAULT;
        }
    }
}
