package com.smppw.analysis.domain.manager.info.handler;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.map.MapUtil;
import com.smppw.analysis.domain.dao.FundInformationDao;
import com.smppw.analysis.domain.dataobject.FundInformationDo;
import com.smppw.analysis.domain.dto.info.FundHeadInfoVO;
import com.smppw.analysis.domain.dto.info.HeadInfoParams;
import com.smppw.analysis.domain.dto.info.PubliclyCurrencyFundHeadInfoVO;
import com.smppw.analysis.domain.dto.info.PubliclyFundHeadInfoVO;
import com.smppw.analysis.domain.manager.info.AbstractFundHeadInfo;
import com.smppw.analysis.domain.manager.info.HeadInfoConstants;
import com.smppw.analysis.domain.service.BaseInfoService;
import org.springframework.stereotype.Component;

import java.util.Map;

@Component(HeadInfoConstants.PUBLICLY_FUND)
public class PubliclyFundHeadInfo extends AbstractFundHeadInfo<PubliclyFundHeadInfoVO> {
    public PubliclyFundHeadInfo(BaseInfoService baseInfoService, FundInformationDao fundInformationDao) {
        super(baseInfoService, fundInformationDao);
    }

    @Override
    protected Map<String, String> getSecNameMap(FundInformationDo fundInfo) {
        return MapUtil.empty();
    }

    @Override
    public PubliclyFundHeadInfoVO getFund(HeadInfoParams params, FundHeadInfoVO headInfo) {
        PubliclyCurrencyFundHeadInfoVO result = BeanUtil.copyProperties(headInfo, PubliclyCurrencyFundHeadInfoVO.class);
        headInfo.setStrategy(null);
        headInfo.setStrategyId(null);
        headInfo.setSubstrategy(null);
        headInfo.setSubstrategyId(null);
        result.setPriceDate(null);
        result.setLowerThanFiveMillionLabel(null);
        result.setOriginalNav(null);
        result.setCumulativeNav(null);
        result.setCumulativeNavWithdrawal(null);
        result.setIsCurrency(null);
        result.setProfitSevenDayAnnual(null);
        result.setRetPerUnit(null);
        result.setPublicWorthUnit(null);
        return result;
    }
}
