package com.smppw.analysis.domain.mapper.mf;

import com.smppw.analysis.domain.dataobject.ManualFundNoticeInfoDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author mozuwen
 * @date 2023/8/9 9:30
 * @description 公募基金公告信息Mapper
 */
@Repository
public interface MfFundAnnounceMapper {

    /**
     * 获取公募基金的公告信息
     *
     * @param fundId   公募基金id
     * @param typeList 信息类别list
     * @param title    信息标题
     * @return 公告信息
     */
    List<ManualFundNoticeInfoDO> queryFundAnnounce(@Param("fundId") String fundId, @Param("typeList") List<String> typeList, @Param("title") String title);

}
